No GPU found

Bug #587426 reported by Josef Andersson
70
This bug affects 14 people
Affects Status Importance Assigned to Milestone
boinc (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: boinc

Description: Ubuntu 10.04 LTS x64
Release: 10.04

Version: BOINC 6.10.17 from repository

Expected: Boinc will find my GPU on my ATI 5770 - But it doesn't

I removed the deb package from repositories and downloaded boinc from the boinc site (6.10.56) - it works then, finding the gpu. But then again, i'm now starting it manually from ubuntu terminal.

Many people seems to have the problem - please see some googlesearch on "no gpu found, ubuntu". And so, it should be of a high priority imho.

It may or may not be relatad to this bug. https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/414244

Related branches

Revision history for this message
elhoir (jfarroyo82) wrote :

tried

$sudo /etc/init.d/boinc-client restart

?

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

@northa could you try the command given by elhoir?

Revision history for this message
Josef Andersson (northar) wrote :

Yep. No GPU found.

As stated It Works fine with (6.10.56) - finding GPU. Then again, i'm starting it after all other upstart processes are done..

Revision history for this message
Josef Andersson (northar) wrote :

Also tried killing the boinc and boincmgr processes and restarting them too. No gpu found:/

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Maybe in the .17 release there were no ability to use gpu under linux...

Revision history for this message
Josef Andersson (northar) wrote :
Revision history for this message
Daniel Hahler (blueyed) wrote :

Can you check this with the "Debian BOINC packagers" PPA, please?
https://launchpad.net/~pkg-boinc/+archive/ppa

If it's related to some upstream changes, this should work for you.
If it's related to how we start BOINC, it should have worked with a manual "restart" already (when all upstart processes are done).
There is bug 414244 about starting after GDM, which might be related - but again, a manual restart is meant to happen after gdm, of course.

Changed in boinc (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Revision history for this message
Skip Guenter (skip) wrote :

"Manual restart" must have left something running. Sure sounds like just need to

"sudo gedit /etc/init.d/boinc-client" and add the "sleep 5" command as shown below:

.................
start()
{
  sleep 5
  log_begin_msg "Starting $DESC: $NAME"
  if is_running; then
.................

PS: Use "sleep 9" if machine is slow getting thru gmd start or if you wanna be really, really safe that it'll not start until after gdm for remote, unattended reboots. All my roughly stock installs of Xubuntu & Ubuntu (v9.04 thru v10.04) on duals & quads suffice with "sleep 5" but a friend I convinced to run BOINC had an old P4 that required "sleep 6". His install of Ubuntu was more 'customized' than mine and ran more "server" apps at start up so I suspect that was the reason.

Revision history for this message
Daniel Hahler (blueyed) wrote : Re: [Bug 587426] Re: No GPU found

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

> PS: Use "sleep 9" if machine is slow getting thru gmd start or if you
> wanna be really, really safe that it'll not start until after gdm for
> remote, unattended reboots.

Just for info:
I would just use "sleep 30" and be done with it: it's not worth to tweak
this from 5-6 to 9 seconds, when it's not time critical.
When we would use this kind of workaround, it would be rather generous
in this regard.

- --
http://daniel.hahler.de/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iD8DBQFMWF5ZfAK/hT/mPgARAu++AKDKHpZcsmljJn9xUfDfL3+WxLb7uACeJZ99
u5Q4FXOjbobgwUvGl3Zf+TY=
=aWaP
-----END PGP SIGNATURE-----

Revision history for this message
Prosthetic Head (propanone) wrote :

I have tried both the "sleep 10" hack and the PPA version. My 4550 is still undetected by BOINC. "No usable GPU found". The 4550 supports stream and is listed in various places as supported for single precision BOINC processing so should work. Could it be something to do with the driver installed through Ubuntus restricted driver manager?

Revision history for this message
Prosthetic Head (propanone) wrote :

Further to my previous post, I just tried under windows with latest BOINC & ATI driver and it worked perfectly.

Revision history for this message
Prosthetic Head (propanone) wrote :

I have just tried with the updated drivers from http://www.ubuntuupdates.org/ppas/27 in combination with the newist BOINC and the sleep hack. Still 'No Usable GPU detected' :(

Revision history for this message
Josef Andersson (northar) wrote :

Sorry, the development version 6.10.58 from the ppa didn't work on my machine. Didn't get to connect to the client when starting the manager.
(I'm running the dl:ed 6.10.56 and it works fine ,GPU and all - starting it with a *.sh script
.../BOINC/run_client --daemon &
...../BOINC/run_manager &
)

Revision history for this message
Prosthetic Head (propanone) wrote :

Tried everything suggested here in Karmic 64 with ATI 4550 with no luck. Do we actually know which part(s) of the default ubuntu / driver / boinc are responsible for this problem?

Revision history for this message
Skip Guenter (skip) wrote :

I just did a fresh install of v10.04 and driver .run package from ATI running the PPA BOINC v6.10.58 (all x64 stuff) and BOINC reports no usable GPUs found (HD5830). Dang... guess I'll go try the berkeley binaries but I'm thinking it's a driver issue.

Revision history for this message
Skip Guenter (skip) wrote :

moved the Berkeley v6.10.56 binaries to /usr/bin/ and no diff. @northa, what driver r u using from where?

Revision history for this message
Skip Guenter (skip) wrote :

I think this thread is suggesting that it's a permissions problem for boinc?? Any thoughts on that?

http://boinc.berkeley.edu/dev/forum_thread.php?id=5936

Revision history for this message
Skip Guenter (skip) wrote :

WOW! Guys I just downloaded the Berkeley package and ran it's script which installs into /home/skip/BOINC ("skip" being my user account). from the default home/skip prompt I typed "BOINC/run_client" and then "BOINC/run_manager" and it started each up in a terminal. In the run_client window I saw that it RECOGNIZED my HD58xx card:

14-Aug-2010 17:05:22 [---] ATI GPU 0: ATI Radeon HD5800 series (Cypress) (CAL version 1.4.736, 1024MB, 1915 GFLOPS peak)

So I attached to DNETC (only, I normally use BAM).. it downloaded and is running one ATI WU and 4 CPU WUs!

So it's NOT a driver problem at all and it's not related to the client starting before GDM issue we've discussed before.

Since I have v10.04 x64 Xubuntu running via /etc/init.d/boinc-client with the PPA v6.10.58 and nvidia card/drivers this appears to be purely related to some ATI library thing.

I'm back to the permissions thing but I befuddled by that because the System-->Admin-->Users & Groups in v10.04 no longer lists the other user accounts on the system so I don't know how to look and see what "boinc" has access to. Thinking maybe it needs access to the "video" group or something.

Daniel (or anyone) do you have any suggestions of what I could do to get the Debian/Ubuntu scripts to work again... I much prefer those to the Berkeley method/folders used.

Thanx, Skip

Revision history for this message
Skip Guenter (skip) wrote :

OK, another day and no major progress on finding what the issue is but for sure:

1) The general problem of boinc getting started to soon can be confirmed by doing the terminal command "sudo /etc/init.d/boinc-client restart". IF the GPU is then found apply the "sleep 5" to the startup script that I've described in multiple places. I have encountered this at least occasionally on all my Nvidia'd machines.

2) This problem is different than the delay/startup/gdm/xorg problem, IMHO is NOT triaged and appears to be specific to ATI cards / drivers.

Since i have physically moved the Berkeley v6.10.56 binaries over the PPA binaries in /usr/lib/ with same result AND since running the Berkeley environment under the default user/BOINC/ DOES solve the problem this has to be either
   a) a library location problem that "skip" can find the driver/lib but "boinc" can not;
 OR
  b) a user (boinc) permissions problem.

I have added boinc to the group "video" as shot in the dark, no change. I did find /dev/ati/card0 with root:root ownership but read and write for all. So I'm stuck again and currently out of ideas.

BTW, I'm playing with this on an Ubuntu v10.04 x64 machine. I'm ready for a new idea to chase down if anyone has one, Thanx, Skip

Revision history for this message
Prosthetic Head (propanone) wrote :

I've found a way to get this to work, at least on my machine. I simply downloaded and manually installed the latest BOINC software direct from Berkeley. The versions in the ubuntu repository and the PPA i tried do not work, but the berkely version does. This is with the default ATI drivers installed through the restricted driver manager in lucid.

So, in my case, the problem is with the ubuntu packaged and PPA packaged BOINC software and NOT ATI drivers or anything else.

I hope that helps!

Revision history for this message
Skip Guenter (skip) wrote :

OK, I'm using the drivers off of the AMD/ATI sight with same results so it's good to know it's across both driver installs.

Revision history for this message
Skip Guenter (skip) wrote :

OK, I got it working with the Debian package (actually used the PPA v5.10.58 x64)... This is ugly but if nothing else it's another confirmation that we've got a "boinc" user permissions problem with the ATI driver.

In /etc/default/boinc-client I set the user to "root" in:

# The BOINC core client will be started with the permissions of this user.
#BOINC_USER="boinc"
BOINC_USER="root"

Restarted and it finds the HD58xx card/driver and crunches on it in DNETC.

Revision history for this message
Steffen Möller (moeller-debian) wrote :

On 08/22/2010 01:41 PM, Skip Guenter wrote:
> OK, I got it working with the Debian package (actually used the PPA
> v5.10.58 x64)... This is ugly but if nothing else it's another
> confirmation that we've got a "boinc" user permissions problem with the
> ATI driver.
>
> In /etc/default/boinc-client I set the user to "root" in:
>
> # The BOINC core client will be started with the permissions of this user.
> #BOINC_USER="boinc"
> BOINC_USER="root"
>
> Restarted and it finds the HD58xx card/driver and crunches on it in
> DNETC.

Skip, this is good news! Have many thanks. The "video" group I recall you
have tried already. So, maybe one should add to entries in /etc/group to
see if there is a group in the first place for the device needed :) Some

ls -lR /dev | less

might also bring more insights.

Cheers,

Steffen

Revision history for this message
Skip Guenter (skip) wrote :

A guy (gfarmerfr) on the DNETC project forums told me "The user launching boinc must have a Xorg session running". We were discussing getting the ATI cards to work on that project. He took another route (that I like better that what I did) in that he changed ownership of the /var/lib/boinc-client directory to be his primary user ID and then changed boinc-client to run under that ID and it worked. Probably a better idea than my running under "root". I think it proves out his statement though and also explains why the Berkeley install also worked (runs under my id).

So the question now becomes WHY does is the user running boinc required to have an X-session running to access the ATI drivers but not so for the NVidia drivers? I seriously doubt that I have the ability / know-how to answer this.

Revision history for this message
Skip Guenter (skip) wrote :

My understanding is that upstream doesn't want to force xserver as a pre-req for running BOINC. OK, then we need something in the install to ask if it's going to run on a server w/o a GUI (leave as is) or in a normal desktop environment with gdm running (set the boinc user to be the installing user ID). Maybe? Comments, ideas??

Revision history for this message
Skip Guenter (skip) wrote :

I ran across an issue after changing boint to run as my primary user and connecting to the ATI card. I don't recall this behavior when I had it running as "root" but will have to retest that to be sure.

IF you logout the GPU WU running will finish but all subsequent WUs will get repeated errors as below in the WU, the WU will comp out (example from DNETC):

<core_client_version>6.10.58</core_client_version>
<![CDATA[
<stderr_txt>
ported
[Sep 03 04:59:14 UTC] Thread 0: Device is not supported
[Sep 03 04:59:14 UTC] Thread 0: Device is not supported
[Sep 03 04:59:14 UTC] Thread 0: Device is not supported

Suspending the project (via remote boinc-manager), logging in from remote, and un-suspending the project will allow WUs to process correctly again. So it appears boinc user needs x-session to start and recognize card or to start a WU on the GPU.

Revision history for this message
LABOUEBE Michael (gfarmerfr) wrote :

For exemple if you try one ATI Overclocking command this seems pretty obvious ,,,

Under my user :

gfarmerfr@GNU-BoX:~$ aticonfig --od-enable
ATI Overdrive(TM) enabled

Using sudo :

gfarmerfr@GNU-BoX:~$ sudo aticonfig --od-enable
ATI Overdrive(TM) enabled

Under root :

root@GNU-BoX:~# aticonfig --od-enable
ATI Overdrive(TM) enabled

and when sshing localhost :

gfarmerfr@GNU-BoX:~$ ssh localhost

Linux GNU-BoX 2.6.35-19-generic #28-Ubuntu SMP Sun Aug 29 06:34:38 UTC 2010 x86_64 GNU/Linux
Ubuntu maverick (development branch)

gfarmerfr@GNU-BoX:~$ aticonfig --od-enable
aticonfig: This program must be run as root when no X server is active

root@GNU-BoX:/home/gfarmerfr# aticonfig --od-enable
ATI Overdrive(TM) enabled

>> OK, then we need something in the install to ask if it's going to run on a server w/o a GUI (leave as is) or in a normal desktop environment with gdm running (set the boinc user to be the installing user ID). Maybe? Comments, ideas??

We can try to ping the upstream packing in debian about this issue and give your thoughts (and maybe a packging patch) :
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=588976

I know that you can ask interactive questions via debconf.
We canproceed like this :
"Is this computer intended to use GPU capabilities ? (a running graphical session is required)"
Yes/No

No : Will follow the basic debian installation with the "boinc" user. Does not change rcX.d links.

Yes : "Please enter user capable of running a graphical session (default current user) : "

Then change the /var/lib/boinc-client directory ownership to the specified user.
Change the BOINC_USER in /etc/default/boinc-client for the specified user.
Also create rcX.d links with a starting order after gdm/kdm/whateverdm.
This would prevent messing with the sleep 5 in boinc init script and would also fix LP#414244.

Would be great to have a report of the Nvidia guys out there because it seems that for nvidia cards you have just to delay boinc start after gdm and not mess with directory / user permissions.

Or wa can wait for AMD/ATI to fix their drivers :) ... or dream of OpenCL support in opensource drivers / boinc apps.

Revision history for this message
LABOUEBE Michael (gfarmerfr) wrote :

For ATI users :

I've found a simple solution with the ubuntu default install !!!

There are 2 reasons why boinc does not detect the GPU.

1) It start to early (before gdm) so deactivate th autostart via

sudo update-rc.d boinc-client disable

2) It can't connect to xserver because it can't auth to the xserver !!!

Simply type : xhost +
in a terminal with your user then start boinc.

It runs under "boinc" user and detect the GPU :)

I've not tested it but a simple shell script like that at your start session should do th trick with the stock install from ubuntu :

#!/bin/bash
# Authorise "boinc" user to connect the running xserver to detect/use the video card
xhost +
#Just in case sleep 10s
sleep 10
# Start boinc
/etc/init.d/boinc-client start

Be advised that "xhost +" is not very recommended in an open network environnement since it allow anyone to connect to your xserver.

Revision history for this message
Skip Guenter (skip) wrote :

Since I'm using the 'sleep' for my' boinc after gdm delay' I just added the xhost + in front of that to get:

start()
{
  log_begin_msg "Starting $DESC: $NAME"
  if is_running; then
    log_progress_msg "already running"
  else
    xhost +
    sleep 5
    /home/skip/setfan.sh
    start-stop-daemon --start --quiet --background --pidfile $PIDFILE \
      --make-pidfile --user $BOINC_USER --chuid $BOINC_USER \
      --chdir $BOINC_DIR --exec $BOINC_CLIENT -- $BOINC_OPTS
  fi
  log_end_msg 0

Disregard the setfan.sh it just uses aticonfig to jack up the fan speed on the card and bury the messages.

Thought maybe "xhost + boinc@" might work. It didn't, but then I've never touched xhost before.

As long as a user stays logged on this seems to work fine. Which, BTW, is not a requirement my nvidia GPU'd machines. They don't have users logged on and maintain communication with the driver w/o issue (startup is sometimes an issue if no monitor is plugged into it depending on how xorg.conf is set up).

Thanx for the X-lent info and a better work-around, Skip

Revision history for this message
LABOUEBE Michael (gfarmerfr) wrote :

Btw xhost local:boinc works too

Revision history for this message
WynX (jortkoopmans) wrote :

I can confirm this fix works (Skip and gfarmerfr combined)

file: /etc/init.d/boinc-client
----
start()
{
  log_begin_msg "Starting $DESC: $NAME"
  if is_running; then
    log_progress_msg "already running"
  else
    xhost local:boinc
    sleep 5
    start-stop-daemon --start --quiet --background --pidfile $PIDFILE \
      --make-pidfile --user $BOINC_USER --chuid $BOINC_USER \
      --chdir $BOINC_DIR --exec $BOINC_CLIENT -- $BOINC_OPTS
  fi
  log_end_msg 0

----

I think a user always needs to be logged in for BOINC to gain access to xorg. Maybe not the best fix, but better than nothing.

Revision history for this message
Miha Furlan (miha) wrote :

If we want to run BOINC at boot without need to login, we have to configure login manager (kdm/gdm/xdm/...) to accept connections. Maybe it's good to add firewall rule to block connections to UDP port 177 and TCP port 6000 afterwards (if you are on public internet) .

On Ubuntu (10.10) with GDM (default) create file /etc/gdm/custom.conf with following content:
[xdmcp]
Enable=true

On any other distribution or login manager just google for location of config file and proper option to allow "remote" connections (xdmcp).

Then edit BOINC init script /etc/init.d/boinc-client as suggested before (add to start() function):
sleep 20 # wait for X server to start for sure
export DISPLAY=:0.0 # maybe not necessary..
/usr/bin/xhost local:boinc &> /dev/null # add permisions for boinc to connect to X server

Revision history for this message
Skip Guenter (skip) wrote :

I thought this was working this morning as after creating /etc/gdm/custom.conf and rebooting (but not logging on) I was able to go to another machine and remote gui in and saw GPU WUs running! Applied the change to my other ATI machines (v9.10 & V10.10 but all running v6.10.58 boinc). All seemed good.

Tonight I see that I have a large batch of comp errors on Collatz and DNetC WUs. Got new WUs and they started comping out in a few seconds. Suspended projects, did a sudo /etc/init.d/boinc-client restart and unsuspended the projects and they're off and running again.

Right now at least, it appears to me the 'xdmcp and export DISPLAY' fixes will allow a PREVIOUSLY started GPU WU to restart when boinc starts up (user not logged in) but new WUs still don't seem to be able to start.
.....................................................................
Here are the WU errors from DNETC:

[Dec 20 04:29:15 UTC] Thread 0: Device is not supported <--- about 2 or 3 pages of this message prior to this line.
[Dec 20 04:29:15 UTC] Thread 0: Device is not supported
[Dec 20 04:29:15 UTC] Thread 0: Device is not supported
[Dec 20 04:29:15 UTC] Thread 0: Device is not supported
[Dec 20 04:29:15 UTC] Thread 0: Device is not supported
[Dec 20 04:29:15 UTC] Thread 0: Device is not supported
[Dec 20 04:29:15 UTC] *Break* Shutting down...
[Dec 20 04:29:15 UTC] RC5-72: Saved CD:F9611C75:00000000:32*2^32 (0 keys done)
                      0.00:00:01.00 - [0 keys/s]
[Dec 20 04:29:15 UTC] RC5-72: 12 packets (384.00 stats units) are in in.r72
[Dec 20 04:29:15 UTC] RC5-72: 0 packets are in out.r72
[Dec 20 04:29:15 UTC] Shutdown complete.
22:29:16 (4807): called boinc_finish

</stderr_txt>
<message>
<file_xfer_error>
  <file_name>dnetc_gpu_ATI_5k_5727549_0_0</file_name>
  <error_code>-161</error_code>
</file_xfer_error>

</message>
]]>
......................................
The Collatz WUs show this:

<core_client_version>6.10.58</core_client_version>
<![CDATA[
<message>
process exited with code 1 (0x1, -255)
</message>
<stderr_txt>

Running Collatz Conjecture (3x+1) ATI GPU application version 2.01 by Gipsel (Linux64, CAL 1.4 - R1.5 multi-GPU Support)
instructed by BOINC client to use device 0
Reading input file ... done.
Checking 206158430208 numbers starting with 2367247515902244792680
CAL Runtime: 1.4.838
No protocol specified
Found 0 CAL device

No supported GPU found!
22:18:37 (3604): called boinc_finish

</stderr_txt>
]]>

Revision history for this message
ebi72 (ebi72) wrote :

Also on the Boinc site is an appropriate error message.
Error 1035:
http://boinc.berkeley.edu/trac/ticket/1035
This error is probably relates to more than one person could be made a priority of this bug to "high".
Maybe you should directly coordinate with the Boinc programmers the cause and the fix of this bug.

description: updated
Revision history for this message
ebi72 (ebi72) wrote :

i had also the same bug with my ati radeon hd 4830: "No GPU found" with boinc 6.10.58. I use the automatic login on my computer.

Revision history for this message
ebi72 (ebi72) wrote :

Sorry for the change of the description! i made a big mistake. SORRY! I changed it back.
I cant use launchpad previously good.

description: updated
Revision history for this message
SteveRC (src) wrote :

Same problem here.
Installed Ubuntu 10.10 from scratch - did standard update on ATI driver and used Software Center to install Boinc.
Got version 6.10.58 which does not find my HD4850. ("No usable GPUs..")
Fiddled around a bit using suggestions from this thread with no success.
Uninstalled Boinc from Software Center and downloaded boinc_6.10.58_i686-pc-linux-gnu.sh from Boinc website and ran directly from Downloads folder.
Starting the Run_Client and Run_Manager scripts manually from here works fine with Boinc finding the GPU and crunching DnetC ATI tasks with ease.

Its coming up for 9-months since this bug was reported, so is it not time to give birth to a fix in the Software Center install scripts?

The original bug-report states Boinc 6.10.17 was installed, so its obviously been updated since then.. so how come this bug is still around? - Its clearly just a user/permissions/timing/ownership issue as there is no problem running the exact same code under the current user after startup/login etc.

Revision history for this message
ebi72 (ebi72) wrote :

I had an Addendum: I use also Maverick Meerkat (Ubuntu 10.10) as a 64Bit-Installation.

Revision history for this message
ebi72 (ebi72) wrote :

Here are some possible solutions.:

http://boinc.berkeley.edu/dev/forum_thread.php?id=

Maybe someone will still find the solution of the problem with BOINC and GPU

Revision history for this message
ebi72 (ebi72) wrote :
Revision history for this message
Ray_GTI-R (ray-w) wrote :

Same problem.

Ubuntu 10.10
Boinc 6.10.58
ATI 4xxx

Tried sudo /etc/init.d/boinc-client restart

BOINC restarts OK but (still) "No usable GPU found."

(Same rig under Windows 7 works fine.)

Revision history for this message
Steffen Möller (moeller-debian) wrote :

Hello, Skip had sent me a pointer to his summary on the BOINC forums on the matter and I have followed your all's instructions. So, when 6.12.23+ comes out, this should also auto-detect your graphics card. Many thanks to you all.

Steffen

Changed in boinc (Ubuntu):
status: Triaged → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package boinc - 6.12.26+dfsg-1

---------------
boinc (6.12.26+dfsg-1) unstable; urgency=low

  * New upstream version.

boinc (6.12.25+dfsg-1) unstable; urgency=low

  * Changed init dependencies to $all which may help speeding up the
    boot process and grants time initialising CUDA when kdm is also
    installed.

  * Also granting the boinc user access to the X display by invoking
    xhost +local:boinc if xhost is installed. The package providing
    the tool, i.e. x11-xserver-utils, is now suggested as a runtime
    dependency.

  This with some likelihood (Closes: #557871, #596656) (lp: #587426,
  lp: #414244, lp: #525241). It remains yet untested because of a lack
  of respective hardware. Many thanks go to Skip for keeping up the
  spirit to address this.

  * Upstream has fixed build failure on hurd.

boinc (6.12.22+dfsg-1) unstable; urgency=low

  * First attempt to fix compilation on HURD.
  * Added debconf it.po (Closes: #619436).
  * Addressing lintian errors on python paths/versions.
  * Removing *.la files (Closes: #621197).

boinc (6.12.18+dfsg-1) unstable; urgency=low

  * New upstream version.

boinc (6.12.15+dfsg-2) UNRELEASED; urgency=low

  * New pt_BR.po file contributed by Adriano Rafael Gomes
    (Closes: #610407).
  * Added explicit dependency on python.

boinc (6.12.15+dfsg-1) unstable; urgency=low

  * New upstream release.
  * 2nd attempt to correct XML error in config (Closes: #610638)

boinc (6.12.14+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Migration from experimental to unstable.

boinc (6.12.8+dfsg-7) experimental; urgency=low

  * Fixed cc_config.xml, reported by Nelson (Closes: #610638).

boinc (6.12.8+dfsg-6) experimental; urgency=low

  * Explicitly giving binary-arch target (Closes: #609428).
  * Helping init file to remain compatible with renice
    that does not understand "-n" (as in sarge) (Closes: #600134).

boinc (6.12.8+dfsg-5) experimental; urgency=low

  * Added python to build dependencies (Closes: #608895).
  * Renamed package 'boinc-server' to 'boinc-server-maker'.
  * Added Danish .po contributed by Joe Daldon (Closes: #597774).

boinc (6.12.8+dfsg-4) experimental; urgency=low

  * Completely removing quilt from debian/* (Closes: #608639).
  * Added libnotify-dev and libmysqlclient-dev as build dependency.

boinc (6.12.8+dfsg-3) experimental; urgency=low

  * Reworked the boinc-server.links
  * More towards lintian cleanliness

boinc (6.12.8+dfsg-2) experimental; urgency=low

  * Developing the server package further.
  * Added libtool as build dependency (Closes: #608509).

boinc (6.12.8+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Simplified debian/rules.
  * boinc package is now architecture-independent
 -- Jean-Louis Dupond <email address hidden> Wed, 04 May 2011 14:20:17 +0000

Changed in boinc (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Josef Andersson (northar) wrote :

The bug still exists. in 6.12.33 in 11.10. When doing $sudo /etc/init.d/boinc-client restart the GPUs will be found so its a workaround.

Revision history for this message
Steffen Möller (moeller-debian) wrote :

Hello,

On 10/09/2011 01:14 AM, northa wrote:
> The bug still exists. in 6.12.33 in 11.10. When doing $sudo /etc/init.d
> /boinc-client restart the GPUs will be found so its a workaround.

In the meantime I have managed to confirm this behaviour on a machine
at work - yes. Mighty annoying. I just don't have any good idea
about what to do now now.

On thing could be to send machines with CUDA/OpenCL-savvy GPUs and
Ubuntu to the upstream developers. But somehow I feel they don't
really know what to do either.

Ideas are welcome.

Steffen

Revision history for this message
ebi72 (ebi72) wrote :

The workaround with "sudo /etc/init.d/boinc-client restart" works fine. This is the first time that Boinc recognizes my GPU.

I think it would be the easiest way if Boinc would be started at boottime with a delay of one minute. That should solve the easiest problem. I think that this is only one small script-change.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.